<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>English_Quiz</title>
    <link rel="stylesheet" href="styles.css">
    <script src="index.js"> defer</script> 
</head>



<body onload="NextQuestion(0)">

    
    <main>
        <h1 style="text-align: center;">English Quiz</h1>

           <br> <br>



        <!-- Message apres le quiz (résumé) -->

        <div class="modal-container" id="score-modal">
          
            <div class="modal-content-container">
              
                <h1>Félicitations!</h1>
              
                <div class="grade-details">
                    <p>Questions: 10</p>
                    <p>Mauvaises Réponses: <span id="wrong-answers"></span></p>
                    <p>Bonnes Réponses: <span id="right-answers"></span></p>
                    <p>Niveau Atteint: <span id="grade-percentage"></span>%</p>
                    <p ><span id="remarks"></span></p>
                </div>
              
                <div class="modal-button-container">
                    <button onclick="closeScoreModal()">Continue</button>
                </div>
              
            </div>
        </div>



        <!-- Détatils en haut et message (d'alerte) -->

        <div class="game-quiz-container">
          
            <div class="game-details-container">
                <h1>Score: <span id="player-score"></span> / 10</h1>
                <h1> Questions: <span id="question-number"></span> / 10</h1>
            </div>

            <div class="game-question-container">
                <h1 id="display-question"></h1>
            </div>

            <div class="game-options-container">
              
               <div class="modal-container" id="option-modal">
                 
                    <div class="modal-content-container">
                         <h1>Sélectionne une case pour continuer!</h1>
                      
                         <div class="modal-button-container">
                            <button onclick="closeOptionModal()">Continue</button>
                        </div>
                      
                    </div>
                 
               </div>



               <!-- Options des réponses -->
              
                <span>
                    <input type="radio" id="option-one" name="option" class="radio" value="optionA" />
                    <label for="option-one" class="option" id="option-one-label"></label>
                </span>
              

                <span>
                    <input type="radio" id="option-two" name="option" class="radio" value="optionB" />
                    <label for="option-two" class="option" id="option-two-label"></label>
                </span>
              

                <span>
                    <input type="radio" id="option-three" name="option" class="radio" value="optionC" />
                    <label for="option-three" class="option" id="option-three-label"></label>
                </span>
              

                <span>
                    <input type="radio" id="option-four" name="option" class="radio" value="optionD" />
                    <label for="option-four" class="option" id="option-four-label"></label>
                </span>


            </div>

            <div class="next-button-container">
                <button onclick="handleNextQuestion()">Question suivante</button>
            </div>

        </div>
    </main>
    <script src="index.js"></script>
</body>


